## weave 1.4.3

=== Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Weave code.
#
# The Initial Developer of the Original Code is Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Dan Mills <thunder@mozilla.com> (original author)
#   Justin Dolske <dolske@mozilla.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

ifeq ($(TOPSRCDIR),)
  export TOPSRCDIR = $(shell pwd)
endif

objdir=$(TOPSRCDIR)/dist
export stage_dir=$(objdir)/stage
xpi_dir=$(objdir)/xpi

weave_version := 1.4.3
weave_id := {340c2bbc-ce74-4362-90b5-7c26312808ef}
overlay_fennec_maxver := 1.999
overlay_firefox_maxver := 4.0b3pre

ifeq ($(release_build),)
  xpi_type := dev
  update_url := https://services.mozilla.com/sync/update.rdf
else
  xpi_type := rel
  update_url :=
endif

ifeq ($(update_url),)
  update_url_tag :=
else
  update_url_tag := <em:updateURL>$(update_url)</em:updateURL>
endif

buildid ?= ${WEAVE_BUILDID}
buildid_short := $(buildid)
ifeq ($(buildid),)
  date    := $(shell date -u +%Y%m%d%H%M)
  revid   := $(shell hg tip --template '{node|short}')
  buildid := $(date)-$(revid)
  buildid_short := $(date)
endif
ifeq ($(buildid),)
  $(warning Could not determine build id)
  $(warning Install hg or set WEAVE_BUILDID the checkout id)
  $(error)
endif

ifeq ($(MAKECMDGOALS),xpi)
  unpacked =\#
  jar=
  chrometarget=xpi
else
  unpacked=
  jar=\#
  chrometarget=
endif

subst_names := \
  xpi_type \
  weave_version \
  weave_id \
  buildid \
  buildid_short \
  overlay_fennec_maxver \
  overlay_firefox_maxver \
  update_url \
  update_url_tag \
  unpacked \
  jar
export $(subst_names)
SUBST = perl -pe 's/@([^@]+)@/defined $$ENV{$$1} ? $$ENV{$$1} : $$&/ge'
MKDIR = mkdir -p
SLINK = ln -sf
ifneq ($(findstring MINGW,$(shell uname -s)),)
  SLINK = cp
endif

all: build

.PHONY: setup build test xpi clean $(xpi_files)

test: build
	$(MAKE) -k -C services/sync/tests/unit

setup:
	$(MKDIR) $(objdir)
	$(MKDIR) $(stage_dir)
	$(MKDIR) $(xpi_dir)

crypto: setup
	$(MAKE) -C services/crypto stage

# stage precompiled binaries
crypto-obsolete-binaries: setup
	$(MAKE) -C crypto-obsolete stage

# build from source
crypto-obsolete-build: setup
	$(MAKE) -C crypto-obsolete build

build: crypto crypto-obsolete-binaries
	$(MKDIR) $(stage_dir)
	$(SUBST) $(TOPSRCDIR)/addon/chrome.manifest.in > $(stage_dir)/chrome.manifest
	$(SUBST) $(TOPSRCDIR)/addon/install.rdf.in > $(stage_dir)/install.rdf
	$(MKDIR) $(stage_dir)/chrome/content
	$(SLINK) $(TOPSRCDIR)/addon/options.xul $(stage_dir)/chrome/content/options.xul
	$(MKDIR) $(stage_dir)/chrome/skin
	$(SLINK) $(TOPSRCDIR)/addon/sync-32x32.png $(stage_dir)/chrome/skin/sync-32x32.png
	
	$(MKDIR) $(stage_dir)/components
	$(SLINK) $(TOPSRCDIR)/addon/AddonGlue.js $(stage_dir)/components/AddonGlue.js
	$(SLINK) $(TOPSRCDIR)/services/sync/FormNotifier.js $(stage_dir)/components/FormNotifier.js
	$(SLINK) $(TOPSRCDIR)/services/sync/Weave.js $(stage_dir)/components/Weave.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/AboutWeaveTabs.js $(stage_dir)/components/AboutWeaveTabs.js
	
	$(MKDIR) $(stage_dir)/chrome/locale/en-US/services
	$(SLINK) $(TOPSRCDIR)/services/sync/locales/en-US/errors.properties $(stage_dir)/chrome/locale/en-US/services/errors.properties
	$(SLINK) $(TOPSRCDIR)/services/sync/locales/en-US/sync.properties $(stage_dir)/chrome/locale/en-US/services/sync.properties
	
	$(MKDIR) $(stage_dir)/modules
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/auth.js $(stage_dir)/modules/auth.js
	$(MKDIR) $(stage_dir)/modules/base_records
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/base_records/collection.js $(stage_dir)/modules/base_records/collection.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/base_records/crypto.js $(stage_dir)/modules/base_records/crypto.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/base_records/keys.js $(stage_dir)/modules/base_records/keys.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/base_records/wbo.js $(stage_dir)/modules/base_records/wbo.js
	$(SUBST) $(TOPSRCDIR)/services/sync/modules/constants.js > $(stage_dir)/modules/constants.js
	$(MKDIR) $(stage_dir)/modules/engines
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/bookmarks.js $(stage_dir)/modules/engines/bookmarks.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/clients.js $(stage_dir)/modules/engines/clients.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/forms.js $(stage_dir)/modules/engines/forms.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/history.js $(stage_dir)/modules/engines/history.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/passwords.js $(stage_dir)/modules/engines/passwords.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/prefs.js $(stage_dir)/modules/engines/prefs.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines/tabs.js $(stage_dir)/modules/engines/tabs.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/engines.js $(stage_dir)/modules/engines.js
	$(MKDIR) $(stage_dir)/modules/ext
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/ext/Observers.js $(stage_dir)/modules/ext/Observers.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/ext/Preferences.js $(stage_dir)/modules/ext/Preferences.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/ext/StringBundle.js $(stage_dir)/modules/ext/StringBundle.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/ext/Sync.js $(stage_dir)/modules/ext/Sync.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/identity.js $(stage_dir)/modules/identity.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/log4moz.js $(stage_dir)/modules/log4moz.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/notifications.js $(stage_dir)/modules/notifications.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/resource.js $(stage_dir)/modules/resource.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/service.js $(stage_dir)/modules/service.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/status.js $(stage_dir)/modules/status.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/stores.js $(stage_dir)/modules/stores.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/trackers.js $(stage_dir)/modules/trackers.js
	$(MKDIR) $(stage_dir)/modules/type_records
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/bookmark.js $(stage_dir)/modules/type_records/bookmark.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/clients.js $(stage_dir)/modules/type_records/clients.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/forms.js $(stage_dir)/modules/type_records/forms.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/history.js $(stage_dir)/modules/type_records/history.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/passwords.js $(stage_dir)/modules/type_records/passwords.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/prefs.js $(stage_dir)/modules/type_records/prefs.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/type_records/tabs.js $(stage_dir)/modules/type_records/tabs.js
	$(SLINK) $(TOPSRCDIR)/services/sync/modules/util.js $(stage_dir)/modules/util.js
	
	$(MKDIR) $(stage_dir)/defaults/preferences
	$(SLINK) $(TOPSRCDIR)/services/sync/services-sync.js $(stage_dir)/defaults/preferences/services-sync.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/firefox-sync.js $(stage_dir)/defaults/preferences/firefox-sync.js
	
	$(MKDIR) $(stage_dir)/chrome/content/fennec
	$(SLINK) $(TOPSRCDIR)/ui/fennec/content/firstrun.xhtml $(stage_dir)/chrome/content/fennec/firstrun.xhtml
	$(SLINK) $(TOPSRCDIR)/ui/fennec/content/overlay.js $(stage_dir)/chrome/content/fennec/overlay.js
	$(SLINK) $(TOPSRCDIR)/ui/fennec/content/overlay.xul $(stage_dir)/chrome/content/fennec/overlay.xul
	$(SLINK) $(TOPSRCDIR)/ui/fennec/content/tabs.js $(stage_dir)/chrome/content/fennec/tabs.js
	$(SLINK) $(TOPSRCDIR)/ui/fennec/content/tabs.xhtml $(stage_dir)/chrome/content/fennec/tabs.xhtml
	
	$(MKDIR) $(stage_dir)/chrome/locale/en-US/fennec
	$(SLINK) $(TOPSRCDIR)/ui/fennec/locale/firstrun.dtd $(stage_dir)/chrome/locale/en-US/fennec/firstrun.dtd
	$(SLINK) $(TOPSRCDIR)/ui/fennec/locale/sync.dtd $(stage_dir)/chrome/locale/en-US/fennec/sync.dtd
	$(SLINK) $(TOPSRCDIR)/ui/fennec/locale/tabs.dtd $(stage_dir)/chrome/locale/en-US/fennec/tabs.dtd
	
	$(MKDIR) $(stage_dir)/chrome/skin/fennec
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/background.png $(stage_dir)/chrome/skin/fennec/background.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/firstrun.css $(stage_dir)/chrome/skin/fennec/firstrun.css
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/light-tab.png $(stage_dir)/chrome/skin/fennec/light-tab.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/logo.png $(stage_dir)/chrome/skin/fennec/logo.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/overlay.css $(stage_dir)/chrome/skin/fennec/overlay.css
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/step-bg.png $(stage_dir)/chrome/skin/fennec/step-bg.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/sync-32x32.png $(stage_dir)/chrome/skin/fennec/sync-32x32.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/tab.png $(stage_dir)/chrome/skin/fennec/tab.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/tabs-active-64.png $(stage_dir)/chrome/skin/fennec/tabs-active-64.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/tabs-default-64.png $(stage_dir)/chrome/skin/fennec/tabs-default-64.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/tabs-disabled-64.png $(stage_dir)/chrome/skin/fennec/tabs-disabled-64.png
	$(SLINK) $(TOPSRCDIR)/ui/fennec/skin/tabs.css $(stage_dir)/chrome/skin/fennec/tabs.css
	
	$(MKDIR) $(stage_dir)/chrome/content/firefox
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/generic-change.js $(stage_dir)/chrome/content/firefox/generic-change.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/generic-change.xul $(stage_dir)/chrome/content/firefox/generic-change.xul
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/load-weave.js $(stage_dir)/chrome/content/firefox/load-weave.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/notification.xml $(stage_dir)/chrome/content/firefox/notification.xml
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/overlay.js $(stage_dir)/chrome/content/firefox/overlay.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/overlay.xul $(stage_dir)/chrome/content/firefox/overlay.xul
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/prefs-common.js $(stage_dir)/chrome/content/firefox/prefs-common.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/prefs.js $(stage_dir)/chrome/content/firefox/prefs.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/prefs.xul $(stage_dir)/chrome/content/firefox/prefs.xul
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/setup.js $(stage_dir)/chrome/content/firefox/setup.js
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/setup.xul $(stage_dir)/chrome/content/firefox/setup.xul
	$(SLINK) $(TOPSRCDIR)/ui/firefox/content/sync.js $(stage_dir)/chrome/content/firefox/sync.js

=== crypto-obsolete/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Weave code.
#
# The Initial Developer of the Original Code is Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Dan Mills <thunder@mozilla.com> (original author)
#   Justin Dolske <dolske@mozilla.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

ifdef platform_target
  platform=$(platform_target)
else
  platform=*
endif

all: build stage

build:
	$(MAKE) -C src build

stage:
	mkdir -p $(stage_dir)/platform
	cp -R -v platform/$(platform) $(stage_dir)/platform

clean:
	$(MAKE) -C src clean

.PHONY: all build stage clean

=== crypto-obsolete/src/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Weave code.
#
# The Initial Developer of the Original Code is Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Dan Mills <thunder@mozilla.com> (original author)
#   Godwin Chan <godwinchan@hotmail.com> (Darwin Universal Binary)
#   Justin Dolske <dolske@mozilla.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****



# OS detection
sys := $(shell uname -s)
wince = $(WINCE)
link = link
ifeq ($(wince), 1)
  os = WINNT
  cxx = $(sdkdir)/sdk/bin/arm-wince-gcc
  link = $(sdkdir)/sdk/bin/arm-wince-link
  so = dll
else
ifeq ($(sys), Darwin)
  os = Darwin
  compiler = gcc3
  cxx = c++
  so = dylib
  cppflags += -dynamiclib -DDEBUG
else
ifeq ($(sys), Linux)
  os = Linux
  compiler = gcc3
  cxx = c++
  so = so
  cppflags += -shared
else
ifeq ($(sys), MINGW32_NT-6.1)
  os = WINNT
  compiler = msvc
  cxx = cl
  so = dll
else
ifeq ($(sys), MINGW32_NT-5.1)
  os = WINNT
  compiler = msvc
  cxx = cl
  so = dll
else
ifeq ($(sys), SunOS)
  os = SunOS
  compiler = cc
  cxx = CC
  so = so
  cppflags += -G
else
  $(error Sorry, your os is unknown/unsupported: $(sys))
endif
endif
endif
endif
endif
endif

# Arch detection

machine := $(shell uname -m)

ifeq ($(machine), arm)
  arch = arm
else
ifeq ($(machine), i386)
  arch = x86
else
ifeq ($(machine), i586)
  arch = x86
else
ifeq ($(machine), i686)
  arch = x86
else
ifeq ($(machine), i86pc)
  arch = x86
else
ifeq ($(machine), ppc)
  arch = ppc
else
ifeq ($(machine), Power Macintosh)
  arch = ppc
else
ifeq ($(machine), x86_64)
  arch = x86_64
else
  $(error: Sorry, your architecture is unknown/unsupported: $(machine))
endif
endif
endif
endif
endif
endif
endif
endif

# Universal binary so no need for $(arch) for Darwin

ifeq ($(sys), Darwin)
  platform = $(os)
else
  platform = $(os)_$(arch)-$(compiler)
endif

###################################################################
# Target and objects

ifeq ($(sys), Darwin)
  target = WeaveCrypto
  target_i386 = WeaveCrypto.i386
  target_ppc = WeaveCrypto.ppc
  so_target = $(target:=.$(so))
  so_target_i386 = $(target_i386:=.$(so))
  so_target_ppc  = $(target_ppc:=.$(so))
  cpp_objects_i386 = $(cpp_sources:.cpp=.oi386)
  cpp_objects_ppc  = $(cpp_sources:.cpp=.oppc)
else
  target = WeaveCrypto
  so_target = $(target:=.$(so))
  cpp_objects = $(cpp_sources:.cpp=.o)
endif

# source and path configurations
cpp_sources = WeaveCrypto.cpp WeaveCryptoModule.cpp
# This gets built/copied from $topsrcdir/crypto
idl_header = IWeaveCrypto.h

sdkdir ?= ${MOZSDKDIR}
destdir = ..
platformdir = $(destdir)/platform/$(platform)

ifeq ($(sdkdir),)
  $(warning No 'sdkdir' variable given)
  $(warning It should point to the location of the Gecko SDK)
  $(warning For example: "make sdkdir=/foo/bar/baz")
  $(warning Or set the MOZSDKDIR environment variable to point to it)
  $(error )
endif

cpp_objects = $(cpp_sources:.cpp=.o)
so_target = $(target:=.$(so))

headers = -I$(sdkdir)/include \
          -I$(sdkdir)/include/system_wrappers \
          -I$(sdkdir)/include/nss \
          -I$(sdkdir)/include/xpcom \
          -I$(sdkdir)/include/string \
          -I$(sdkdir)/include/pipnss \
          -I$(sdkdir)/include/nspr \
          -I$(sdkdir)/sdk/include

# libraries
libdirs := $(sdkdir)/lib $(sdkdir)/bin
ifeq ($(wince),1)
libs := xpcomglue_s xpcom nspr4 \
        crmf smime3 ssl3 nss3 nssutil3 \
        plds4 plc4
else
libs := xpcomglue xpcomglue_s nspr4 \
        crmf smime3 ssl3 nss3 nssutil3 \
        plds4 plc4
endif

ifeq ($(os), Linux)
  libs := xpcom_core $(libs)
endif

# compiler and Linker Flags

ifeq ($(os), Darwin)
  libdirs := $(patsubst %,-L%,$(libdirs))
  libs := $(patsubst %,-l%,$(libs))
  cppflags_i386 += -c -pipe -Os -arch i386 \
                   -fPIC -fno-rtti -fno-exceptions -fno-strict-aliasing \
                   -fno-common -fshort-wchar -fpascal-strings -pthread \
                   -Wall -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth \
                   -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align \
                   -Wno-long-long \
                   -include xpcom-config.h $(headers) \
                   -isysroot /Developer/SDKs/MacOSX10.4u.sdk
  ldflags_i386 += -pthread -pipe -bundle -arch i386 \
                  -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk \
                  -Wl,-executable_path,$(sdkdir)/bin \
                  -Wl,-dead_strip \
                  -Wl,-exported_symbol \
                  -Wl,_NSGetModule \
                  $(libdirs) $(libs)
  cppflags_ppc += -c -pipe -Os -arch ppc \
                  -fPIC -fno-rtti -fno-exceptions -fno-strict-aliasing \
                  -fno-common -fshort-wchar -fpascal-strings -pthread \
                  -Wall -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth \
                  -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align \
                  -Wno-long-long \
                  -include xpcom-config.h $(headers) \
                  -isysroot /Developer/SDKs/MacOSX10.4u.sdk \
                  -force_cpusubtype_ALL 
  ldflags_ppc += -pthread -pipe -bundle -arch ppc \
                 -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk \
                 -Wl,-executable_path,$(sdkdir)/bin \
                 -Wl,-dead_strip \
                 -Wl,-exported_symbol \
                 -Wl,_NSGetModule \
                 -force_cpusubtype_ALL \
                 $(libdirs) $(libs)  
else
ifeq ($(os), Linux)
  libdirs := $(patsubst %,-L%,$(libdirs))
  libs := $(patsubst %,-l%,$(libs))
  cppflags += -pipe -Os \
              -fPIC -fno-rtti -fno-exceptions -fno-strict-aliasing \
              -fno-common -pthread \
              -Wall -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth \
              -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align \
              -Wno-long-long \
              -include xpcom-config.h $(headers)
ifneq ($(arch), arm)
  cppflags += -fshort-wchar
else
endif
  ldflags += -pthread -pipe -DMOZILLA_STRICT_API \
             -Wl,-dead_strip \
             -Wl,-exported_symbol \
             -Wl,-z,defs -Wl,-h,WeaveCrypto.so \
             -Wl,-rpath-link,$(sdkdir)/bin \
             $(sdkdir)/lib/libxpcomglue_s.a \
             $(libdirs) $(libs)
else
ifeq ($(os), SunOS)
  libdirs := $(patsubst %,-L%,$(libdirs))
  libs := $(patsubst %,-l%,$(libs))
  cppflags += -xO5 -s -ztext $(headers)
  ldflags += -DMOZILLA_STRICT_API \
             $(sdkdir)/lib/libxpcomglue_s.a \
             $(libdirs) $(libs)
else
ifneq ($(wince),)
  libdirs := $(patsubst %,-LIBPATH:%,$(libdirs))
  libs := $(patsubst %,$(sdkdir)/lib/%.lib,$(libs))
  cppflags += -c -nologo -O1 -GR- -TP -Zc:wchar_t- -W3 -Gy $(headers) \
              -DMOZILLA_STRICT_API \
              -D"_WIN32_WCE=0x502" -D"UNDER_CE" -D"WIN32_PLATFORM_PSPC"   \
			  -D"WINCE" -D"ARM" -D"_ARM_" -D"POCKETPC2003_UI_MODEL" -DXP_WIN
  ldflags += -DLL $(libdirs) $(libs)
  rcflags := -r $(headers)
else
ifeq ($(os), WINNT)
  libdirs := $(patsubst %,-LIBPATH:%,$(libdirs))
  libs := $(patsubst %,$(sdkdir)/lib/%.lib,$(libs))
  cppflags += -c -nologo -O1 -GR- -TP -MT -Zc:wchar_t- -W3 -Gy $(headers) \
    -DNDEBUG -DTRIMMED -D_CRT_SECURE_NO_DEPRECATE=1 \
    -D_CRT_NONSTDC_NO_DEPRECATE=1 -DWINVER=0x500 -D_WIN32_WINNT=0x500 \
    -D_WIN32_IE=0x0500 -DX_DISPLAY_MISSING=1 -DMOZILLA_VERSION=\"1.9pre\" \
    -DMOZILLA_VERSION_U=1.9pre -DHAVE_SNPRINTF=1 -D_WINDOWS=1 -D_WIN32=1 \
    -DWIN32=1 -DXP_WIN=1 -DXP_WIN32=1 -DHW_THREADS=1 -DSTDC_HEADERS=1 \
    -DWIN32_LEAN_AND_MEAN=1 -DNO_X11=1 -DHAVE_MMINTRIN_H=1 \
    -DHAVE_OLEACC_IDL=1 -DHAVE_ATLBASE_H=1 -DHAVE_WPCAPI_H=1 -D_X86_=1 \
    -DD_INO=d_ino
  ldflags += -DLL -NOLOGO -SUBSYSTEM:WINDOWS -NXCOMPAT -SAFESEH -IMPLIB:fake.lib \
    $(libdirs) $(libs) \
    kernel32.lib user32.lib gdi32.lib winmm.lib wsock32.lib advapi32.lib
  rcflags := -r $(headers)
endif
endif
endif
endif
endif

######################################################################

.PHONY: all build clean subst

all: build

build: subst $(so_target) $(idl_header)
	mkdir -p $(platformdir)/components
	cp -v $(so_target) $(platformdir)/components

clean: 
	rm -f $(so_target) $(so_target_i386) $(so_target_ppc) \
          $(cpp_objects) $(cpp_objects_i386) $(cpp_objects_ppc) \
          $(target:=.res) fake.lib fake.exp WeaveCrypto.rc

subst:
	$(substitute) WeaveCrypto.rc.in > WeaveCrypto.rc

# build and link rules
ifeq ($(os), Darwin)
  $(so_target): $(so_target_i386) $(so_target_ppc)
	lipo -create -output $(so_target) -arch ppc $(so_target_ppc) \
             -arch i386 $(so_target_i386)
	chmod +x $(so_target)

  #i386
  $(cpp_objects_i386): $(cpp_sources)
	$(cxx) -o $@ $(cppflags_i386) $(@:.oi386=.cpp)

  $(so_target_i386): $(idl_header) $(cpp_objects_i386)
	$(cxx) -o $@ $(ldflags_i386) $(cpp_objects_i386)
	chmod +x $(so_target_i386)

  #ppc
  $(cpp_objects_ppc): $(cpp_sources)
	$(cxx) -o $@ $(cppflags_ppc) $(@:.oppc=.cpp)

  $(so_target_ppc): $(idl_header) $(cpp_objects_ppc)
	$(cxx) -o $@ $(ldflags_ppc) $(cpp_objects_ppc)
	chmod +x $(so_target_ppc)
else
ifeq ($(os), Linux)
  $(so_target): $(idl_header)
	$(cxx) $(cppflags) -o $@ $(cpp_sources) $(ldflags)
	chmod +x $@
else
ifeq ($(os), SunOS)
  $(so_target): $(idl_header)
	$(cxx) $(cppflags) -o $@ $(cpp_sources) $(ldflags)
	chmod +x $@
else
ifeq ($(os), WINNT)
  $(target:=.res): $(target:=.rc)
	rc -Fo$@ $(rcflags) $(target:=.rc)

  $(cpp_objects): $(cpp_sources)
	$(cxx) -Fo$@ -Fd$(@:.o=.pdb) $(cppflags) $(@:.o=.cpp)

  $(so_target): $(idl_header) $(cpp_objects) $(target:=.res)
	$(link) -OUT:$@ -PDB:$(@:.dll=.pdb) $(cpp_objects) $(target:=.res) $(ldflags)
	chmod +x $@
endif
endif
endif
endif

=== services/crypto/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Weave code.
#
# The Initial Developer of the Original Code is Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Dan Mills <thunder@mozilla.com> (original author)
#   Justin Dolske <dolske@mozilla.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

sdkdir ?= ${MOZSDKDIR}

idl = IWeaveCrypto.idl
idl_typelib = $(idl:.idl=.xpt)
idl_header = $(idl:.idl=.h)

#
# The only thing to actually build here is the IDL's .xpt/.h form, which
# requires an SDK. So don't do that unless explicitly requested, and use
# the files checked into Mercurial instead.
#
all: stage

build: $(idl_typelib) $(idl_header) stage

# No SDK is needed unless you're modifying the IDL interface, in which
# case we'll need to rebuild the .h and .xpt files.
xpidl = $(sdkdir)/bin/xpidl
ifdef CROSS_COMPILE
xpidl = $(sdkdir)/host/bin/host_xpidl
endif
$(idl_typelib): $(idl)
ifeq ($(sdkdir),)
	$(warning No 'sdkdir' variable given)
	$(warning It should point to the location of the Gecko SDK)
	$(warning For example: "make sdkdir=/foo/bar/baz")
	$(warning Or set the MOZSDKDIR environment variable to point to it)
	$(error)
else
	$(xpidl) -m typelib -I$(sdkdir)/idl $(@:.xpt=.idl)
endif

$(idl_header): $(idl)
ifeq ($(sdkdir),)
	$(warning No 'sdkdir' variable given)
	$(warning It should point to the location of the Gecko SDK)
	$(warning For example: "make sdkdir=/foo/bar/baz")
	$(warning Or set the MOZSDKDIR environment variable to point to it)
	$(error)
else
	$(xpidl) -m header -I$(sdkdir)/idl $(@:.h=.idl)
endif

stage:
	mkdir -p $(stage_dir)/components
ifdef NO_SYMLINK
	cp -v $(idl_typelib) $(stage_dir)/components
	cp -v $(idl_header)  $(TOPSRCDIR)/crypto-obsolete/src
	cp -v WeaveCrypto.js $(stage_dir)/components
else
	ln -vsf `pwd`/$(idl_typelib) $(stage_dir)/components
	ln -vsf `pwd`/$(idl_header)  $(TOPSRCDIR)/crypto-obsolete/src
	ln -vsf `pwd`/WeaveCrypto.js $(stage_dir)/components
endif

clean:
	rm -f $(TOPSRCDIR)/crypto-obsolete/src/$(idl_header)
	# maybe hg revert the .xpt/.h?

.PHONY: all build stage clean

=== services/sync/tests/harness/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Weave code.
#
# The Initial Developer of the Original Code is
# Mozilla Corporation
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Dan Mills <thunder@mozilla.com> (original author)
#   Myk Melez <myk@mozilla.org>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

xulrunner_bin ?= ${XULRUNNER_BIN}
ifeq ($(xulrunner_bin),)
  $(warning No 'xulrunner_bin' variable given)
  $(warning It should point to the location of a XULRunner/Firefox executable)
  $(warning For example: "make xulrunner_bin=/usr/bin/xulrunner")
  $(warning Or set the XULRUNNER_BIN environment variable to point to it)
  $(error Can't continue.)
endif

harnessdir = ../harness
sys := $(shell uname -s)

# OS detection

ifeq ($(sys), Darwin)
  os = Darwin
else
ifeq ($(sys), Linux)
  os = Linux
else
ifeq ($(sys), MINGW32_NT-6.1)
  os = WINNT
else
ifeq ($(sys), MINGW32_NT-5.1)
  os = WINNT
else
ifeq ($(sys), SunOS)
  os = SunOS
else
  $(error Sorry, your os is unknown/unsupported: $(sys))
endif
endif
endif
endif
endif

topsrcdir ?= ${TOPSRCDIR}
native_topsrcdir ?= ${NATIVE_TOPSRCDIR}

ifeq ($(topsrcdir),)
topsrcdir = ../..
endif

ifeq ($(native_topsrcdir),)
ifeq ($(os), WINNT)
native_topsrcdir = ..\..
else
native_topsrcdir = ../..
endif
endif

configure_profile ?=
testing_directory := $(topsrcdir)/unittest
test_output_dir := $(testing_directory)/test_output
# profiledir needs to be an absolute path on Mac OS X (FIXME: file bug).
profiledir = $(abspath $(testing_directory)/profile)

# NO_EM_RESTART prevents XULRunner from restarting when registering components.
# XPCOM_DEBUG_BREAK="warn" prevents XULRunner from showing an alert dialog
# for assertions on Windows.
xulrunner_env = NATIVE_TOPSRCDIR="$(native_topsrcdir)" TOPSRCDIR="$(topsrcdir)" \
                NO_EM_RESTART=1 XPCOM_DEBUG_BREAK="warn"

# The XULRunner test executor.
# Note: the path to application.ini must be absolute on Mac OS X.
xulrunner = $(xulrunner_bin) \
              -app $(abspath $(harnessdir)/app/application.ini) \
              -profile $(profiledir) -no-remote

# The head and tail files to evaluate before and after each test.
#
# Head files are evaluated in the order:
#   harness's head.js
#   test dir's head.js (if present)
#   test dir's head_*.js (if any)
#
# Tail files are evaluated in the order:
#   harness's tail.js.
#   test dir's tail.js (if present)
#   test dir's tail_*.js (if any)
#
# XXX We shouldn't need to resolve these to absolute paths here, as the executor
# runs them through nsICommandLine::resolveFile, which should handle that,
# but for some reason that method isn't resolving relative paths on Mac OS X,
# so we have to resolve them here for that OS.
# FIXME: stop doing this here and in the commands once bug 476326 is fixed.
ifeq ($(os), Darwin)
head := -f $(abspath $(harnessdir)/head.js) $(patsubst %,-f %,$(abspath $(wildcard head.js))) $(patsubst %,-f %,$(abspath $(wildcard head_*.js)))
tail :=  -f $(abspath $(harnessdir)/tail.js) $(patsubst %,-f %,$(abspath $(wildcard tail.js))) $(patsubst %,-f %,$(abspath $(wildcard tail_*.js)))
else
head := -f $(harnessdir)/head.js $(patsubst %,-f %,$(wildcard head.js)) $(patsubst %,-f %,$(wildcard head_*.js))
tail := -f $(harnessdir)/tail.js $(patsubst %,-f %,$(wildcard tail.js)) $(patsubst %,-f %,$(wildcard tail_*.js))
endif

# On Windows and Linux, you have to pass echo the -e option to enable backslash
# escape interpretation.  On Mac, such interpretation is on by default, and if
# you pass that option, it gets echoed to STDOUT.
ifeq ($(os), Darwin)
echo_opts = 
else
echo_opts = -e
endif

tests := $(wildcard test*.js)

all: $(tests:.js=)

# fixme: hiding commands here means they can't be copy-and-pasted to run by hand
$(tests:.js=): $(tests)
# this will create testing_directory as well
	@if [ ! -e "$(test_output_dir)" ]; then \
	  mkdir -p $(test_output_dir); \
	fi
	@if [ ! -e "$(profiledir)" ]; then \
	  mkdir $(profiledir); \
	  $(xulrunner) 2> /dev/null 1>&2; \
	  sleep 5; \
	  $(configure_profile) \
	  $(xulrunner) 2> /dev/null 1>&2; \
	  sleep 5; \
	fi
	@if [ $(os) = Darwin ]; then \
	  $(xulrunner_env) $(xulrunner) $(head) -f $(abspath $(@).js) $(tail) 2> $(test_output_dir)/$(@).log 1>&2; \
	else \
	  $(xulrunner_env) $(xulrunner) $(head) -f $(@).js $(tail) 2> $(test_output_dir)/$(@).log 1>&2; \
	fi
	@if [ `grep -c '\*\*\* PASS' $(test_output_dir)/$(@).log` = 0 ]; then \
	  echo $(echo_opts) "$(@):\tFAIL"; \
	else \
	  echo $(echo_opts) "$(@):\tPASS"; \
	fi

.PHONY: clean
clean:
	rm -rf $(testing_directory)

=== services/sync/tests/system/Makefile ===
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is Weave code.
#
# The Initial Developer of the Original Code is
# Mozilla Corporation
# Portions created by the Initial Developer are Copyright (C) 2008
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Dan Mills <thunder@mozilla.com> (original author)
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

sdkdir ?= ${MOZSDKDIR}
harnessdir = ../harness
topsrcdir ?= ${TOPSRCDIR}
native_topsrcdir ?= ${NATIVE_TOPSRCDIR}
sys := $(shell uname -s)

ifeq ($(topsrcdir),)
topsrcdir = ../..
endif

ifeq ($(native_topsrcdir),)
native_topsrcdir = ../..
endif


ifeq ($(sys), Linux)
xpcshell = $(sdkdir)/bin/run-mozilla.sh $(sdkdir)/bin/xpcshell -v 180
else
xpcshell = $(sdkdir)/bin/xpcshell -v 180
endif

head := -f $(harnessdir)/head.js $(patsubst %,-f %,$(wildcard head*.js))
tail := $(patsubst %,-f %,$(wildcard tail*.js)) -f $(harnessdir)/tail.js
tests := $(wildcard test*.js)

all: $(tests:.js=)

# fixme: hiding commands here means they can't be copy-and-pasted to run by hand
$(tests:.js=): $(tests)
	@NATIVE_TOPSRCDIR="$(native_topsrcdir)" TOPSRCDIR="$(topsrcdir)" \
	$(xpcshell) -s $(head) -f $(@).js $(tail) 2> $(@).log 1>&2
	@if [ `grep -c '\*\*\* PASS' $(@).log` = 0 ]; then \
	  echo "$(@):\tFAIL"; exit 1; \
	else \
	  echo "$(@):\tPASS"; \
	fi

# fixme: hiding commands here means they can't be copy-and-pasted to run by hand
$(tests:.js=-interactive): $(tests)
	@NATIVE_TOPSRCDIR="$(native_topsrcdir)" TOPSRCDIR="$(topsrcdir)" \
	@$(xpcshell) -s $(head) -f $(@:-interactive=).js $(tail) -i 2>&1

=== services/sync/tests/unit/Makefile ===
# profiledir needs to be an absolute path on Mac OS X (FIXME: file bug).
profiledir = $(abspath ../profile)
sys := $(shell uname -s)

# OS detection

ifeq ($(sys), Darwin)
  os = Darwin
else
ifeq ($(sys), Linux)
  os = Linux
else
ifeq ($(sys), MINGW32_NT-6.1)
  os = WINNT
else
ifeq ($(sys), MINGW32_NT-5.1)
  os = WINNT
else
ifeq ($(sys), SunOS)
  os = SunOS
else
  $(error Sorry, your os is unknown/unsupported: $(sys))
endif
endif
endif
endif
endif

topsrcdir ?= ${TOPSRCDIR}
native_topsrcdir ?= ${NATIVE_TOPSRCDIR}

ifeq ($(topsrcdir),)
topsrcdir = ../..
endif

ifeq ($(native_topsrcdir),)
ifeq ($(os), WINNT)
native_topsrcdir = ..\..
else
native_topsrcdir = ../..
endif
endif

# The path to the extension, in the native format, as required by the extension
# manager when it installs an extension via a file in the <profile>/extensions/
# directory that contains the path to the extension.
ifeq ($(os), WINNT)
extensiondir = $(native_topsrcdir)\dist\stage
else
extensiondir = $(topsrcdir)/dist/stage
endif

# A command that installs the extension into the profile when the harness
# creates a new profile.

configure_profile = mkdir -p $(profiledir)/extensions; echo "$(extensiondir)" > $(profiledir)/extensions/\{340c2bbc-ce74-4362-90b5-7c26312808ef\};

include ../harness/Makefile

=== debian/changelog ===
weave (1.4.3-1ubuntu2) maverick; urgency=low

  * No source change rebuild to pick up mozilla-devscripts changes; Drop 
    transitional and removed packages from Recommends (LP: #645339) 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 26 Sep 2010 19:57:30 -0500

weave (1.4.3-1ubuntu1) maverick; urgency=low

  * Add -fshort-wchar to CXXFLAGS to fix FTBFS in Ubuntu
    - update debian/rules 

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 11 Aug 2010 00:35:15 -0500

weave (1.4.3-1) unstable; urgency=low

  [ Fladischer Michael ]
  * Rename debian/NEWS.Debian -> debian/NEWS (Closes: #588239).

  [ Alexander GQ Gerasiov ]
  * Imported Upstream version 1.4.1
  * debian/control: Bump standard's version. No changes needed.

  [ Fladischer Michael ]
  * Add VSC-* fields.

  [ Alexander GQ Gerasiov ]
  * Imported Upstream version 1.4.3

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 03 Aug 2010 14:40:37 +0400

weave (1.4-1) unstable; urgency=low

  [ Fladischer Michael ]
  * Fixed some typos in README.source.
  * debian/clean: removed.
  * debian/rules, debian/README.source: Upstream repository URL has changed.
  * debian/NEWS: Add NEWS regarding the status bar.

  [ Alexander GQ Gerasiov ]
  * Imported Upstream version 1.4
  * debian/crypto.Makefile: subst fixed according to changes in top-level
    Makefile

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 05 Jul 2010 13:28:38 +0400

weave (1.3-2) unstable; urgency=low

  * debian/control: Bynary package renamed to xul-ext-sync according to
    Weave's rebranding to Firefox sync.
  * debian/control: Description updated.
  * debian/README.source: More clear (but may be worse-written)
    description.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 07 Jun 2010 22:49:12 +0400

weave (1.3-1) unstable; urgency=low

  [ Fladischer Michael ]
  * Initial release (Closes: #556135)

  [ Alexander GQ Gerasiov ]
  * debian/control: Set Maintainer to pkg-mozext-team.
  * debian/control: Dependences fixed.
  * debian/patches/fix_crypto_makefile removed. Using own Makefile
    instead.
  * debian/patches/fix_chrome_jar removed. Modified
    MOZ_XPI_BUILD_COMMAND instead.
  * debian/rules: Rewriten with usage on standard CDBS variables instead
    of own ones.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 07 Jun 2010 00:17:27 +0400

=== debian/control ===
Source: weave
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Fladischer Michael <FladischerMichael@fladi.at>, Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: cdbs, debhelper (>= 7), xulrunner-dev (>= 1.9~), mozilla-devscripts (>= 0.16~), pkg-config
Standards-Version: 3.9.0
Homepage: https://mozillalabs.com/weave/
VCS-Browser: http://git.debian.org/?p=pkg-mozext/weave.git;a=summary
VCS-Git: git://git.debian.org/pkg-mozext/weave.git

Package: xul-ext-sync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ${xpi:Recommends}
Enhances: ${xpi:Enhances}
Provides: ${xpi:Provides}
Description: extension to sync bookmarks, passwords and other user data between devices
 It is an add-on which allows you to synchronize browser-related personal
 information (such as bookmarks, history, saved passwords, open tabs) to a
 server and all your devices.
 .
 It can be used with Mozilla's server, or you can set up your own as well.

=== debian/rules ===
#!/usr/bin/make -f

MOZ_XPI_BUILD_COMMAND := make crypto&&make crypto-obsolete-build&&make xpi release_build=1
MOZ_XPI_FILE = dist/xpi/weave-$(DEB_UPSTREAM_VERSION)-rel.xpi

#Build variables
export XULRUNNER_BIN := $(firstword $(wildcard /usr/bin/xulrunner-*))
export MOZSDKDIR := $(shell pkg-config --variable=sdkdir libxul)
export TOPSRCDIR := $(CURDIR)
export WEAVE_BUILDID := $(DEB_VERSION)

CXXFLAGS += -fshort-wchar

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

pre-build::
	test -f crypto-obsolete/src/Makefile.upstream || mv crypto-obsolete/src/Makefile crypto-obsolete/src/Makefile.upstream
	cp debian/crypto.Makefile crypto-obsolete/src/Makefile

clean::
	make clean
	rm -rf crypto-obsolete/platform/*
	make -C crypto-obsolete/src clean
	! test -f crypto-obsolete/src/Makefile.upstream || mv crypto-obsolete/src/Makefile.upstream crypto-obsolete/src/Makefile


UPSTREAM_TARBALL := ../$(DEB_SOURCE_PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.bz2

get-orig-source:
	test ! -f $(UPSTREAM_TARBALL)
	rm -rf get-orig-source
	mkdir get-orig-source
	hg clone -u $(DEB_UPSTREAM_VERSION) http://hg.mozilla.org/services/fx-sync/ \
	get-orig-source/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig
	rm -rf get-orig-source/$(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig/crypto-obsolete/platform/*
	tar -c -j --exclude ".hg*" -f $(UPSTREAM_TARBALL) -C get-orig-source $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION).orig
	rm -rf get-orig-source

.PHONY: get-orig-source
